/*  Jcurzez - A free Java implementation of curses
 *  Copyright (C) 2001, 2006  Thomas G. Girard <thomas.g.girard@free.fr>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <jni.h>

#ifndef jcurzez_curses
#define jcurzez_curses
#ifdef __cplusplus
extern "C" {
#endif


/*
 * A structure used to map jcurzez colors with
 * curses colors and pairs.
 */
typedef struct {
  short index;
  const char *name;
} MAPPING;


JNIEXPORT jint JNICALL Java_jcurzez_peer_curses_PeerScreen__1begin
  (JNIEnv *, jclass);

JNIEXPORT void JNICALL Java_jcurzez_peer_curses_PeerScreen__1gotoXY
  (JNIEnv *, jclass, jint, jint);

JNIEXPORT void JNICALL Java_jcurzez_peer_curses_PeerScreen__1printCell
  (JNIEnv *, jclass, jint, jint, jshort, jshort, jbyte, jint);

JNIEXPORT jint JNICALL Java_jcurzez_peer_curses_PeerScreen__1getColumns
  (JNIEnv *, jclass);

JNIEXPORT jint JNICALL Java_jcurzez_peer_curses_PeerScreen__1getLines
  (JNIEnv *, jclass);

JNIEXPORT void JNICALL Java_jcurzez_peer_curses_PeerScreen__1update
  (JNIEnv *, jclass);

JNIEXPORT void JNICALL Java_jcurzez_peer_curses_PeerScreen__1setCursorVisibility
  (JNIEnv *, jclass, jint);

JNIEXPORT void JNICALL Java_jcurzez_peer_curses_PeerScreen__1beep
  (JNIEnv *, jclass);

JNIEXPORT void JNICALL Java_jcurzez_peer_curses_PeerScreen__1end
  (JNIEnv *, jclass);

#ifdef __cplusplus
}
#endif
#endif
