/*  Jcurzez - A free Java implementation of curses
 *  Copyright (C) 2001, 2006  Thomas G. Girard <thomas.g.girard@free.fr>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.nongnu.savannah.jcurzez;

/**
 * This exception is thrown when {@link jcurzez.Cursor#setX
 * Cursor.setX(int)} (or <code>Cursor.setY(int)</code>) is called with a
 * wrong value.
 * This is a runtime exception.
 *
 * @author Thomas Girard
 * @version 1.0.0
 */
public class InconsistentCoordinateException
    extends IllegalArgumentException {
    /**
     * Empty constructor. No message for the
     * <code>InconsistentCoordinateException</code>.
     */
    public InconsistentCoordinateException() {
	super();
    }

    /**
     * Construct an <code>InconsistentCoordinateException</code> with the
     * specified message.
     *
     * @param     message the string that contains the message.
     */
    public InconsistentCoordinateException(String message) {
	super(message);
    }
}
