/*  Jcurzez - A free Java implementation of curses
 *  Copyright (C) 2001, 2006  Thomas G. Girard <thomas.g.girard@free.fr>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.nongnu.savannah.jcurzez.frame;

import org.nongnu.savannah.jcurzez.BoxDrawing;


/**
 * A single (and quite simple) frame.
 *
 * @author Thomas Girard
 * @version 1.0.0
 */
public class SingleFrame implements Frame {
    /**
     */
    public char getUpperLeftCorner() {
	return BoxDrawing.LIGHT_DOWN_AND_RIGHT;
    }

    /**
     */
    public char getUpperRightCorner() {
	return BoxDrawing.LIGHT_DOWN_AND_LEFT;
    }

    /**
     */
    public char getLowerLeftCorner() {
	return BoxDrawing.LIGHT_UP_AND_RIGHT;
    }

    /**
     */
    public char getLowerRightCorner() {
	return BoxDrawing.LIGHT_UP_AND_LEFT;
    }

    /**
     */
    public char getVerticalLeftLine(int which) {
	return BoxDrawing.LIGHT_VERTICAL;
    }

    /**
     */
    public char getVerticalRightLine(int which) {
	return BoxDrawing.LIGHT_VERTICAL;
    }

    /**
     */
    public char getHorizontalTopLine(int which) {
	return BoxDrawing.LIGHT_HORIZONTAL;
    }

    /**
     */
    public char getHorizontalBottomLine(int which) {
	return BoxDrawing.LIGHT_HORIZONTAL;
    }
}
